Subject: bug#68186: closed (Re: bug#68119: [GNU automake 1.16.5] test-suite 45 tests failed)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 31 Jan 2024 22:48:08 +0000

Your bug report

#68119: [GNU automake 1.16.5] test-suite 45 tests failed

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68119: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68119
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#68119: [GNU automake 1.16.5] test-suite 45 tests failed
From: Karl Berry <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 31 Jan 2024 15:47:08 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Erik, I think all the automake test problems you reported here have been
resolved (thanks to your excellent debugging). So closing. Leaving
#68808 open until Zack or I have a chance to look into testing of make
for the subsecond mtimes. Thanks again! -k

Subject: Re: [GNU automake 1.16.5] test-suite 45 tests failed
From: Erik A Johnson <[email-masked]>
To: Karl Berry <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Sun, 31 Dec 2023 23:04:07 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks, Karl.  automake-1.16.5/t/dist-vs-built-sources.dir/foo.c only has two lines:
#include "h.h"
int main (void) { printf ("%s\n", F); return 0; }

Also, automake-1.16.5/t/dist-vs-built-sources.sh only appears to be writing those two lines to foo.c and there is no inclusion of <stdio.h>.

Does that give you any clues?  Thx.

Erik

> On Dec 30, 2023, at 2:56 PM, Karl Berry <[email-masked]> wrote:
> 
>    Subject: [GNU automake 1.16.5] test-suite 45 tests failed
>    Clean install of macOS Sonoma 14.2.1 on MacBook Pro M3 max
> 
> Thanks for the report, but it seems like something in the environment is
> causing trouble. For example, one of the failing tests is
> dist-vs-built-sources.sh:
> 
>    gcc -DPACKAGE_NAME=\"dist-vs-built-sources\" -DPACKAGE_TARNAME=\"dist-vs-built-sources\" -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"dist-vs-built-sources\ 1.0\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"dist-vs-built-sources\" -DVERSION=\"1.0\" -I.     -g -O2 -MT foo.o -MD -MP -MF .deps/foo.Tpo -c -o foo.o foo.c
>    foo.c:2:19: error: call to undeclared library function 'printf' with type 'int (const char *, ...)'; ISO C99 and later do not support implicit function declarations [-Wimplicit-function-declaration]
>    int main (void) { printf ("%s\n", F); return 0; }
>                      ^
>    foo.c:2:19: note: include the header <stdio.h> or explicitly provide a declaration for 'printf'
> 
> However, <stdio.h> is already included. The test program is these three
> lines (h.h is a trivial #define):
> #include <stdio.h>
> #include "h.h"
> int main (void) { printf ("%s\n", F); return 0; }
> 
> So the failure doesn't make sense to me.  I have no access to Sonoma or
> other way to debug, unfortunately.
> 
> The other failures also look like they relate to the test suite programs
> in this particular environment, rather than actual Automake
> functionality.
> 
> Maybe someone else here has an idea or a way to proceed. --thanks, karl.